Recommended Posts

Im unable to install anything pass 6.2. I need to know what is the latest security update to 6.2 and where can I find it? I know there is 6.2.1 and 6.2.2, but my system will not install those doesnt matter if im using ds3615xs or ds3617xs.  Any help would be appreciated.  Thank in advance. Oh, and Ive searched the Synology archives and it only gives me the ds3617xs 23739 and not the update 1-4.  

Share this post


Link to post
Share on other sites

You can use the latest version 6.1.7 with your CPU. Archives with updates can be found here.

Share this post


Link to post
Share on other sites

Thanks for the answer. And I should be able to install the latest critical update with this dsm?

Sent from my HD1925 using Tapatalk

Share this post


Link to post
Share on other sites

Thank you very much for the info.  It looks like Im only able to get critical update 3 (DS3617xs DSM 6.1.7-15284 Update 3). Should I be concern that there are no more updates for DSM 6.1.7-15284?

Share this post


Link to post
Share on other sites

Hi,

 

if you havent already tried: you could use https://xpenology.com/forum/topic/21663-driver-extension-jun-103b104b-for-dsm622-for-3615xs-3617xs-918/ which made it possible to use the HP Gen8 MicroServer as it contains working drivers. 

 

There wont be anymore updates for 6.1.7 so your system will have security issues which can be maybe ignored if its only a system in a local network.

Share this post


Link to post
Share on other sites
9 hours ago, hoppler said:

Hi,

 

if you havent already tried: you could use https://xpenology.com/forum/topic/21663-driver-extension-jun-103b104b-for-dsm622-for-3615xs-3617xs-918/ which made it possible to use the HP Gen8 MicroServer as it contains working drivers. 

 

There wont be anymore updates for 6.1.7 so your system will have security issues which can be maybe ignored if its only a system in a local network.

I did try that and couldnt install past 6.2. I had 103b and 4 installed to which nothing with the 4b worked.  And the only thing that worked was 6.2 3b ds3617xs. Anything past 6.2 (6.2.1 and 6.2.2) wouldnt boot so something is missing from it. 

Share this post


Link to post
Share on other sites
2 hours ago, Dvalin21 said:

I did try that and couldnt install past 6.2.

with the link above there is no past 6.2, you will have to use the driver (that are mode for 6.2.2) copy the zImage and rd.gz from 6.2.2 (from *.pat file v24222) to the loader and you hve to install 6.2.2/v24922 pat file, no steps or anything the drivers in that extra.lzma will only work with 6.2.2 anr the same goes for the drivers jun packt with loader 1.03b, they are not working with 6.2.2

you should at least be able to boot and find it in network and synology assistant should show as version a 24922

(i cant see storage you use but i guess when its working with 6.1 it should work with 6.2.2 too)

  • Like 1

Share this post


Link to post
Share on other sites

You would think of it work for 6.1.7 it would work for 6.2.2. It sucks that I've had so much trouble with it. Either way I will have to try and do a mode or something in order to get it to work. It looks like the update for the software I have is put of date. Oh I did make a mistake on my earlier post, when trying to install 6.2.1 or 6.2.2, it does boot and able to locate, but when I try to get it to install it goes through the process and never is located again

 

Sent from my HD1925 using Tapatalk

 

 

 

 

Share this post


Link to post
Share on other sites

i can only encourage you to try

 

there are alternatives to DSM too, if you want to try something different then open media vault is a good option, you can boot up from 1 additional/external media and it will recognize the dsm raid partitions (synology uses mdadm and lvm, thats normal linux software raid), it should be using the btrfs file system (but will not offer btrfs when creating a new, but that can be done manually if needed)

it's my fallback option if dsm fails and a really want to access my data over network (omv does support all the basic nas stuff dsm does and has plugins too, much less hassle when it comes to drivers as its just a normal open source linux distribution - xpenology is a hacked dsm appliance and has its shortcomings and synology is not offering proper kernel source for its gpl based system)

Share this post


Link to post
Share on other sites

I will have to try it again.  I hope at some point it will be able to be found once the system reboots.  It doesnt even show up on my router as receiving an ip address. Do you know what would make the initial boot work, but not after the .pat install?

Share this post


Link to post
Share on other sites

Asking both Olegin and IG-88, could I be able to take the zimage and extra.lzma from 6.1.7, place it with the 1.03b loader and install 6.2.2? If so how do I go about it?

Sent from my HD1925 using Tapatalk

Share this post


Link to post
Share on other sites

So ultimately I'm screwed if I don't change at least the cpu. Not sure what else I can then. So there's literally nothing I can do?

Sent from my HD1925 using Tapatalk

Share this post


Link to post
Share on other sites

I guess i dont understand why it would be compatible with DS3617xs 6.2-23739 (which update only goes to critical update 2) and not 6.2.1 or 6.2.2?

Share this post


Link to post
Share on other sites

This is a true statement.  flyride, i noticed in your signature, you have a unit using the same as myself DSM 6.1.7 with the critical updates. How long have you been using it if you dont mind me asking and with the updates it does have, how secure is it?  Thanks

Share this post


Link to post
Share on other sites

That particular server has been up on 6.1.x since October 2017.  It's a pretty complicated build, so I haven't rushed to upgrade it, although I think all its services are now supportable on 1.03b and DSM 6.2.2.

 

The only inbound services on my network are IP and port firewalled VPN termination points and a guacamole (remote access proxy) server. Personally, I wouldn't ever expose a Synology server directly to the Internet for any reason. Therefore, I don't have too much heartburn about the latest security patches not being available.  Even on 6.2.2, Synology lags so far behind core OS support, I'm not sure it matters all that much.

  • Like 2

Share this post


Link to post
Share on other sites

I appreciate that. Ill have to take some things into consideration.  I've never used open media, but I have used freenas before, however you really have to know your stuff to work your way around it.  May do a vm to play around with it again to see if I really want to make a switch or just stick with DSM 617.  In the mean time, I need to figure out another problem.  Why is Virtual Machine Manager reserving 8gb out of the 10gb i have for the system?  Leaving vm to fail every time i try to turn it on. Anyway, Ive already posted that question.  Anyway, thanks again.  You guys leaving me with some good ideas to think about.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.